<?php

/**
 * Profile Model
 *
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/models
 */

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Choice {

	public function getAll() {

		global $wpdb;

		$order_by = 'id';

		$sql = $wpdb->prepare("SELECT * FROM ".ENTUSIASTICS_QUIZ_GAME_CHOICES." ORDER BY %s", $order_by);
		$choices = $wpdb->get_results($sql);

		return $choices;
	}

	public function getByQuestionId($question_id) {

		global $wpdb;

		$sql = $wpdb->prepare("SELECT * FROM ".ENTUSIASTICS_QUIZ_GAME_CHOICES." WHERE question_id=%d ORDER BY id ", $question_id);
		$choices = $wpdb->get_results($sql);

		return $choices;
	}

	public function getMultipleAnswerById($answers) {

		global $wpdb;

		$choices = [];
		$ids = explode(",", $answers);

		foreach ($ids as $key => $choice_id) {
			$sql = $wpdb->prepare("SELECT * FROM ".ENTUSIASTICS_QUIZ_GAME_CHOICES." WHERE id=%d ORDER BY id ", $choice_id);
			$choices[$key] = $wpdb->get_row($sql);
		}

		return $choices;
	}

	public function getPossibleAnswers($quiz_id, $question_id) {
		
		global $wpdb;
		
		$sql = $wpdb->prepare("SELECT * FROM ".ENTUSIASTICS_QUIZ_GAME_CHOICES." 
			WHERE quiz_id=%d AND question_id=%d ORDER BY id", $quiz_id, $question_id);
		$choices = $wpdb->get_results($sql);

		return $choices;
	}

	public function getAnswerById($id) {
		
		global $wpdb;
		
		$sql = $wpdb->prepare("SELECT * FROM ".ENTUSIASTICS_QUIZ_GAME_CHOICES." WHERE id=%d ORDER BY id", $id);
		$choices = $wpdb->get_row($sql);

		return $choices;
	}
	
	function add($vars) {

	} // end add
	
	function save($vars, $id) {

	} // end save
	
	function delete($id) {

	} // end delete

} 