<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * Dashboard. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @author 				Entusiastics
 * @link 				https://entusiastics.com
 * @since 				1.0.0
 * @package 			Entusiastics_Quiz_Game
 *
 * @wordpress-plugin
 * Plugin Name: 		Entusiastics Play
 * Plugin URI: 			https://entusiastics.com
 * Description: 		Plugin para la creación de juegos de aprendizaje
 * Version: 			2.1.0
 * Author: 				Entusiastics
 * Author URI: 			https://entusiastics.com/
 * License: 			GPL-2.0+
 * License URI: 		http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: 		entusiastics-quiz-game
 * Domain Path: 		/languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Used for referring to the plugin file or basename
if ( ! defined( 'ENTUSIASTICS_QUIZ_GAME_FILE' ) ) {
	define( 'ENTUSIASTICS_QUIZ_GAME_FILE', plugin_basename( __FILE__ ) );
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-quiz-game-activator.php
 */
function activate_Entusiastics_Quiz_Game() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/entusiastics-quiz-game-activator.php';
	Entusiastics_Quiz_Game_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-quiz-game-deactivator.php
 */
function deactivate_Entusiastics_Quiz_Game() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/entusiastics-quiz-game-deactivator.php';
	Entusiastics_Quiz_Game_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_Entusiastics_Quiz_Game' );
register_deactivation_hook( __FILE__, 'deactivate_Entusiastics_Quiz_Game' );

/**
 * The core plugin class that is used to define internationalization,
 * dashboard-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/entusiastics-quiz-game.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since 		1.0.0
 */
function run_Entusiastics_Quiz_Game() {

	$plugin = new Entusiastics_Quiz_Game();
	$plugin->run();

}
run_Entusiastics_Quiz_Game();
